# Participation Status

#### Description
Changes the status of a user's participation in an event.

In order for this to be possible, you must request the `change_participation_status` scope when [requesting authorization to access the user's calendars](/developers/api/authorization/request-authorization/index.md).

> **WARNING:** If an invite is declined in Office 365 or Exchange the event is implicitly deleted in the calendar and so will not be able to be modified again.

#### URL format
```
{data_center_url}/v1/calendars/{calendar_id}/events/{event_uid}/participation_status
```

#### Example Request
```http
POST /v1/calendars/{calendar_id}/events/{event_uid}/participation_status HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
    "status": "accepted"
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `calendar_id` *(required)*

The `calendar_id` of the calendar that contains the event for which you'd like to update the participation status. This ID can be retrieved using a [list calendars request](/developers/api/calendars/list-calendars/index.md)

This calendar **must not** have a `calendar_readonly` value that is `true`.

##### `event_uid` *(required)*

The [`String`](/developers/api/data-types/index.md) that uniquely identifies the event. This ID can be retrieved using the [read events request](/developers/api/events/read-events/index.md).

This event must be have its `options.change_participation_status` flag set to `true`.

##### `status` *(required)*

A [`String`](/developers/api/data-types/index.md) representing the participation status you'd like to set. Acceptable values are:

- `accepted` - to accept the invite

- `tentative` - to tentatively accept the invite

- `declined` - to decline the invite

#### Error responses
##### must_be_external_event_uid
The UID of a partner event was provided, but this must be an external event UID. External event UIDs will start with `evt_external`, while partner event UIDs will start with `evt_partner`.

Events created in the calendars of any invitees of the managed event are synced as external events. When you create a managed event using the events API, the host's participation in that event is 'accepted' by default.



---
[Read in HTML](/developers/api/events/participation-status/)